#ifndef DCLOSURES_H
#define DCLOSURES_H

#include "vii.h"
#include <vector>
#include <string>

namespace vii
{

/**
 * @brief Boundary layer closure relations.
 * @author Paul Dechamps
 */
class VII_API Closures
{

public:
    static void laminarClosures(std::vector<double> &closureVars, double theta,
                                double H, double Ret, const double Me,
                                const std::string name);
    static void turbulentClosures(std::vector<double> &closureVars, double theta,
                                  double H, double Ct, double Ret, double Me,
                                  const std::string name);
    static void turbulentClosures(double &closureVars, double theta,
                                  double H, double Ct, double Ret, const double Me,
                                  const std::string name);
};
} // namespace vii
#endif // DCLOSURES_H
